DefaultSelectTranslator (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.translator.select, class: DefaultSelectTranslator

# Class DefaultSelectTranslator

java.lang.Object
org.apache.cayenne.access.translator.select.DefaultSelectTranslator

All Implemented Interfaces:
  `SelectTranslator`

public class DefaultSelectTranslator extends Object implements SelectTranslator
Default translator of select queries `FluentSelect`.

Since:
  4.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultSelectTranslator(FluentSelect<?,?> query, DbAdapter adapter, EntityResolver entityResolver)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<ObjAttribute, ColumnDescriptor>`
  `getAttributeOverrides()`
  `DbAttributeBinding[]`
  `getBindings()`
  `ColumnDescriptor[]`
  `getResultColumns()`
  `String`
  `getSql()`
  `boolean`
  `hasJoins()`
  `boolean`
  `isSuppressingDistinct()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultSelectTranslator

    public DefaultSelectTranslator(FluentSelect<?,?> query, DbAdapter adapter, EntityResolver entityResolver)

- ## Method Details

  - ### getSql

    public String getSql()
    Specified by:
      `getSql` in interface `SelectTranslator`

  - ### getBindings

    public DbAttributeBinding[] getBindings()
    Specified by:
      `getBindings` in interface `SelectTranslator`

  - ### getAttributeOverrides

    public Map<ObjAttribute, ColumnDescriptor> getAttributeOverrides()
    Specified by:
      `getAttributeOverrides` in interface `SelectTranslator`

  - ### getResultColumns

    public ColumnDescriptor[] getResultColumns()
    Specified by:
      `getResultColumns` in interface `SelectTranslator`

  - ### isSuppressingDistinct

    public boolean isSuppressingDistinct()
    Specified by:
      `isSuppressingDistinct` in interface `SelectTranslator`

  - ### hasJoins

    public boolean hasJoins()
    Specified by:
      `hasJoins` in interface `SelectTranslator`
    Returns:
      do query has at least one join